-- ***Slash command functions*** --
-- define the dialog box for reseting config
StaticPopupDialogs["BM_RESET_ALL"] = {
	text = TEXT(BM_INFO_BAR_DISABLE_TEXT),
	button1 = TEXT(OKAY),
	timeout = 0,
	exclusive = 1
};

-- define the dialog box for reseting config
StaticPopupDialogs["BM_RESET_ALL"] = {
	text = TEXT(BM_RESET_ALL_TEXT),
	button1 = TEXT(OKAY),
	button2 = TEXT(CANCEL),
	OnAccept = function()
		BM_Reset_Everything();
		BhaldieMoveIT_Refresh();
	end,
	timeout = 0,
	exclusive = 1
};

function BM_Slash_OnLoad()
	SlashCmdList["BM_ACTION_ENABLE"] = BM_ActioinBar_Enable;
	
	-- Slash commands for remove main menu
	SlashCmdList["BM_ACTION"] = BM_ActioinBar_SlashHandler;
	SLASH_BM_ACTION1 = "/bmaction";
	
	-- Slash commands for bag bar
	SlashCmdList["BM_BAG"] = BM_BagBar_SlashHandler;
	SLASH_BM_BAG1 = "/bmbag";
	
	-- Slash commands for mini bar
	SlashCmdList["BM_MINI"] = BM_MiniBar_SlashHandler;
	SLASH_BM_MINI1 = "/bmmini";
	
	-- Slash commands for cast bar
	SlashCmdList["BM_CAST"] = BM_CastBar_SlashHandler;
	SLASH_BM_CAST1 = "/bmcast";

	-- Slash commands for pet bar
	SlashCmdList["BM_PET"] = BM_PetBar_SlashHandler;
	SLASH_BM_PET1 = "/bmpet";

	-- Slash commands for shape shift
	SlashCmdList["BM_BONUSBAR"] = BM_BonusBar_SlashHandler;
	SLASH_BM_BONUSBAR1 = "/bmbonus";

	-- Slash commands for bag status bar
	SlashCmdList["BM_BAGSTATUSBAR"] = BM_BagStatusBar_SlashHandler;
	SLASH_BM_BAGSTATUSBAR1 = "/bmbagstatus";

	-- Slash commands for all components
	SlashCmdList["BM_ALL"] = BM_All_SlashHandler;
	SLASH_BM_ALL1 = "/bmall";
	
	-- Slash commands for infobar time offset.
	SlashCmdList["BM_RESET"] = BM_Reset_SlashHandler;
	SLASH_BM_RESET1 = "/bmreset";

	-- Slash commands for infobar time offset.
	SlashCmdList["BM_UI_PANEL"] = BM_UI_Panel_SlashHandler;
	SLASH_BM_UI_PANEL1 = "/bmconfig";
end

function BM_UI_Panel_SlashHandler()
	if (IsAddOnLoaded("BhaldieUI")) then
		BM_LogoButton_OnClick();
	end
end

function BM_Reset_SlashHandler()
	StaticPopup_Show("BM_RESET_ALL");
end
-- Control the slash commands for the action bar.
function BM_ActioinBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "disable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].action_enable = false;
		MainMenuBar:ClearAllPoints();
		MainMenuBar:SetPoint("BOTTOM", "UIParent", "BOTTOM", 0, -500);
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].action_enable = true;
		MainMenuBar:ClearAllPoints();
		MainMenuBar:SetPoint("BOTTOM", "UIParent", "BOTTOM", 0, 0);
	end
end

-- Control the slash commands for the bag bar.
function BM_BagBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "lock" and BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_enable == true) then
		--Lock frame in position.
		BhaldieFrame = BhaldieBagBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_lock = true;
		BhaldieBagBar:Hide();
		BhaldieBagBarArt:Hide();
	elseif (msg == "unlock" and BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_enable == true) then
		BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_lock = false;
		BhaldieBagBar:Show();
		BhaldieBagBarArt:Show();
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_enable = true;
		if (BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_lock == false) then
			BhaldieBagBar:Show();
			BhaldieBagBarArt:Show();
		else
			BhaldieBagBar:Hide();
			BhaldieBagBarArt:Hide();
		end
		MainMenuBarBackpackButton:Show();
		CharacterBag0Slot:Show();
		CharacterBag1Slot:Show();
		CharacterBag2Slot:Show();
		CharacterBag3Slot:Show();
		--SHOW_KEYRING = 1;
		if (SHOW_KEYRING == 1) then
			MainMenuBarTexture3:SetTexture("Interface\\MainMenuBar\\UI-MainMenuBar-KeyRing");
			MainMenuBarTexture3:SetTexCoord(0, 1, 0.1640625, 0.5);
			MainMenuBarTexture2:SetTexture("Interface\\MainMenuBar\\UI-MainMenuBar-KeyRing");
			MainMenuBarTexture2:SetTexCoord(0, 1, 0.6640625, 1);
			MainMenuBarPerformanceBarFrame:SetPoint("BOTTOMRIGHT", MainMenuBar, "BOTTOMRIGHT", -235, -10);
			KeyRingButton:Show();
		end
	elseif (msg == "disable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_enable = false;
		MainMenuBarBackpackButton:Hide();
		CharacterBag0Slot:Hide();
		CharacterBag1Slot:Hide();
		CharacterBag2Slot:Hide();
		CharacterBag3Slot:Hide();
		BhaldieBagBar:Hide();
		BhaldieBagBarArt:Hide();
		MainMenuBarTexture3:SetTexture("Interface\\MainMenuBar\\UI-MainMenuBar-Dwarf");
		MainMenuBarTexture3:SetTexCoord(0, 1, 0.08203125, 0.25);
		MainMenuBarTexture2:SetTexture("Interface\\MainMenuBar\\UI-MainMenuBar-Dwarf");
		MainMenuBarTexture2:SetTexCoord(0, 1, 0.33203125, 0.5);
		MainMenuBarPerformanceBarFrame:SetPoint("BOTTOMRIGHT", MainMenuBar, "BOTTOMRIGHT", -227, -10);
		KeyRingButton:Hide();
	end
end

-- Control the slash commands for the mini bar.
function BM_MiniBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "lock" and BM_CONFIG[BM_PLAYERNAME_REALM].minibar_enable == true) then
		--Lock frame in position.
		BhaldieFrame = BhaldieMiniBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].minibar_lock = true;
		BhaldieMiniBar:Hide();
		BhaldieMiniBarArt:Hide();
	elseif (msg == "unlock" and BM_CONFIG[BM_PLAYERNAME_REALM].minibar_enable == true) then
		BM_CONFIG[BM_PLAYERNAME_REALM].minibar_lock = false;
		BhaldieMiniBar:Show();
		BhaldieMiniBarArt:Show();
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].minibar_enable = true;
		if (BM_CONFIG[BM_PLAYERNAME_REALM].minibar_lock == false) then
			BhaldieMiniBar:Show();
			BhaldieMiniBarArt:Show();
		else
			BhaldieMiniBar:Hide();
			BhaldieMiniBarArt:Hide();
		end
		BM_MINI_ENABLE = true;
		CharacterMicroButton:Show();
		TalentMicroButton:Show();
		SpellbookMicroButton:Show();
		QuestLogMicroButton:Show();
		SocialsMicroButton:Show();
		WorldMapMicroButton:Show();
		MainMenuMicroButton:Show();
		HelpMicroButton:Show();
	elseif (msg == "disable") then
		BM_MINI_ENABLE = false;
		BM_CONFIG[BM_PLAYERNAME_REALM].minibar_enable = false;
		CharacterMicroButton:Hide();
		TalentMicroButton:Hide();
		SpellbookMicroButton:Hide();
		QuestLogMicroButton:Hide();
		SocialsMicroButton:Hide();
		WorldMapMicroButton:Hide();
		MainMenuMicroButton:Hide();
		HelpMicroButton:Hide();
		BhaldieMiniBar:Hide();
		BhaldieMiniBarArt:Hide();
	end
end	

-- Control the slash commands for the cast bar.
function BM_CastBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "lock" and BM_CONFIG[BM_PLAYERNAME_REALM].castbar_enable == true) then
		--Lock frame in position.
		BhaldieFrame = BhaldieCastBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].castbar_lock = true;
		BhaldieCastBar:Hide();
		BhaldieCastBarArt:Hide();
	elseif (msg == "unlock"  and BM_CONFIG[BM_PLAYERNAME_REALM].castbar_enable == true) then
		BM_CONFIG[BM_PLAYERNAME_REALM].castbar_lock = false;
		BhaldieCastBar:Show();
		BhaldieCastBarArt:Show();
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].castbar_enable = true;
		if (BM_CONFIG[BM_PLAYERNAME_REALM].castbar_lock == false) then
			BhaldieCastBar:Show();
			BhaldieCastBarArt:Show();
		else
			BhaldieCastBar:Hide();
			BhaldieCastBarArt:Hide();
		end
	elseif (msg == "disable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].castbar_enable = false;
		BhaldieCastBar:Hide();
		BhaldieCastBarArt:Hide();
	end
end

-- Control the slash commands for the pet bar.
function BM_PetBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "lock" and BM_CONFIG[BM_PLAYERNAME_REALM].petbar_enable == true) then
		--Lock frame in position.
		BhaldieFrame = BhaldiePetBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].petbar_lock = true;
		BhaldiePetBar:Hide();
		BhaldiePetBarArt:Hide();
	elseif (msg == "unlock" and BM_CONFIG[BM_PLAYERNAME_REALM].petbar_enable == true) then
		BM_CONFIG[BM_PLAYERNAME_REALM].petbar_lock = false;
		BhaldiePetBar:Show();
		BhaldiePetBarArt:Show();
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].petbar_enable = true;
		if (BM_CONFIG[BM_PLAYERNAME_REALM].petbar_lock == false) then
			BhaldiePetBar:Show();
			BhaldiePetBarArt:Show();
		else
			BhaldiePetBar:Hide();
			BhaldiePetBarArt:Hide();
		end
		PetActionButton1:Show();
		PetActionButton2:Show();
		PetActionButton3:Show();
		PetActionButton4:Show();
		PetActionButton5:Show();
		PetActionButton6:Show();
		PetActionButton7:Show();
		PetActionButton8:Show();
		PetActionButton9:Show();
		PetActionButton10:Show();
	elseif (msg == "disable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].petbar_enable = false;
		PetActionButton1:Hide();
		PetActionButton2:Hide();
		PetActionButton3:Hide();
		PetActionButton4:Hide();
		PetActionButton5:Hide();
		PetActionButton6:Hide();
		PetActionButton7:Hide();
		PetActionButton8:Hide();
		PetActionButton9:Hide();
		PetActionButton10:Hide();
		BhaldiePetBar:Hide();
		BhaldiePetBarArt:Hide();
	end
end	

-- Control the slash commands for the cast bar.
function BM_BonusBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "lock" and BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_enable == true) then
		BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_lock = true;
		BhaldieShapeShift:Hide();
		BhaldieShapeShiftArt:Hide();
	elseif (msg == "unlock" and BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_enable == true) then
		BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_lock = false;
		BhaldieShapeShift:Show();
		BhaldieShapeShiftArt:Show();
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_enable = true;
		if (BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_lock == false) then
			BhaldieShapeShift:Show();
			BhaldieShapeShiftArt:Show();
		else
			BhaldieShapeShift:Hide();
			BhaldieShapeShiftArt:Hide();
		end
		ShapeshiftBarFrame:Show();
	elseif (msg == "disable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_enable = false;
		BhaldieShapeShift:Hide();
		BhaldieShapeShiftArt:Hide();
		ShapeshiftBarFrame:Hide();
	end
end

-- Control the slash commands for the Bag Status Bar.
function BM_BagStatusBar_SlashHandler(msg)
	msg = string.lower(msg);
	if (msg == "lock") then
		--Lock frame in position.
		BhaldieFrame = BhaldieBagStatusBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_lock = true;
		BhaldieBagStatusBar:Hide();
	elseif (msg == "unlock") then
		BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_lock = false;
		BhaldieBagStatusBar:Show();
	elseif (msg == "enable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_enable = true;
		if (BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_lock == false) then
			BhaldieBagStatusBar:Show();
		else
			BhaldieBagStatusBar:Hide();
		end
		BagStatusBarFrame:Show();
	elseif (msg == "disable") then
		BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_enable = false;
		BhaldieBagStatusBar:Hide();
		BagStatusBarFrame:Hide();
	end
end

-- Control the slash commands for the All the bars.
function BM_All_SlashHandler(msg)
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	msg = string.lower(msg);
	if (msg == "lock" or msg == "1" or msg == "true") then
		--Locks bagbar
		BhaldieFrame = BhaldieBagBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_lock = true;
		BhaldieBagBar:Hide();
		BhaldieBagBarArt:Hide();
		--Locks minibar
		BhaldieFrame = BhaldieMiniBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].minibar_lock = true;
		BhaldieMiniBar:Hide();
		BhaldieMiniBarArt:Hide();
		--Locks castbar
		BhaldieFrame = BhaldieCastBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].castbar_lock = true;
		BhaldieCastBar:Hide();
		BhaldieCastBarArt:Hide();
		--Locks petbar
		BhaldieFrame = BhaldiePetBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].petbar_lock = true;
		BhaldiePetBar:Hide();
		BhaldiePetBarArt:Hide();
		--Locks bonusbar
		BhaldieFrame = BhaldieShapeShift;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_lock = true;
		BhaldieShapeShift:Hide();
		BhaldieShapeShiftArt:Hide();
		--Locks bagstatusbar
		BhaldieFrame = BhaldieBagStatusBar;
		BhaldieSetPosition(BhaldieFrame);
		BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_lock = true;
		BhaldieBagStatusBar:Hide();
	elseif (msg == "unlock" or msg == "0" or msg == "false") then
		--Unlocks bagbar
		BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_lock = false;
		BhaldieBagBar:Show();
		BhaldieBagBarArt:Show();
		--Unlocks minibar
		BM_CONFIG[BM_PLAYERNAME_REALM].minibar_lock = false;
		BhaldieMiniBar:Show();
		BhaldieMiniBarArt:Show();
		--Unlocks castbar
		BM_CONFIG[BM_PLAYERNAME_REALM].castbar_lock = false;
		BhaldieCastBar:Show();
		BhaldieCastBarArt:Show();
		--Unlocks petbar
		BM_CONFIG[BM_PLAYERNAME_REALM].petbar_lock = false;
		BhaldiePetBar:Show();
		BhaldiePetBarArt:Show();
		--Unlocks bonusbar
		BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_lock = false;
		BhaldieShapeShift:Show();
		BhaldieShapeShiftArt:Show();
		--Unlocks bagstatusbar
		BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_lock = false;
		BhaldieBagStatusBar:Show();
	end
end

-- UIPanel Config Settings
function BM_ActioinBar_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_ActioinBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "enable";
		BM_ActioinBar_SlashHandler(msg);
	end
end

function BM_BagBar_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_BagBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "enable";
		BM_BagBar_SlashHandler(msg);
	end
end

function BM_BagBar_Lock(msg)
	if (msg == false) then
		msg = "unlock";
		BM_BagBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "lock";
		BM_BagBar_SlashHandler(msg);
	end
end

function BM_MiniBar_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_MiniBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "enable";
		BM_MiniBar_SlashHandler(msg);
	end
end

function BM_MiniBar_Lock(msg)
	if (msg == false) then
		msg = "unlock";
		BM_MiniBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "lock";
		BM_MiniBar_SlashHandler(msg);
	end
end

function BM_CastBar_Lock(msg)
	if (msg == false) then
		msg = "unlock";
		BM_CastBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "lock";
		BM_CastBar_SlashHandler(msg);
	end
end

function BM_CastBar_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_CastBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "enable";
		BM_CastBar_SlashHandler(msg);
	end
end

function BM_PetBar_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_PetBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "enable";
		BM_PetBar_SlashHandler(msg);
	end
end

function BM_PetBar_Lock(msg)
	if (msg == false) then
		msg = "unlock";
		BM_PetBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "lock";
		BM_PetBar_SlashHandler(msg);
	end
end

function BM_BonusBar_Lock(msg)
	if (msg == false) then
		msg = "unlock";
		BM_BonusBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "lock";
		BM_BonusBar_SlashHandler(msg);
	end
end

function BM_BonusBar_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_BonusBar_SlashHandler(msg);
	elseif (msg == true) then
		msg = "enable";
		BM_BonusBar_SlashHandler(msg);
	end
end

function BM_BagStatus_Enable(msg)
	if (msg == false) then
		msg = "disable";
		BM_BagStatusBar_SlashHandler(msg)
	elseif (msg == true) then
		msg = "enable";
		BM_BagStatusBar_SlashHandler(msg)
	end
end

function BM_BagStatus_Lock(msg)
	if (msg == false) then
		msg = "unlock";
		BM_BagStatusBar_SlashHandler(msg)
	elseif (msg == true) then
		msg = "lock";
		BM_BagStatusBar_SlashHandler(msg)
	end
end

function BM_Reset_Everything()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BM_Bag_Reset();
	BM_Mini_Reset();
	BM_Cast_Reset();
	BM_Pet_Reset();
	BM_Bonus_Reset();
	BM_BagStatus_Reset();
	BM_MoveBag_Reset();
	MainMenuBar:ClearAllPoints();
	MainMenuBar:SetPoint("BOTTOM", "UIParent", "BOTTOM", 0, -500);
	BM_CONFIG[BM_PLAYERNAME_REALM].action_enable = false;
end

function BM_Bag_Reset()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BhaldieBagBar:ClearAllPoints();
	BhaldieBagBar:SetPoint("TOP", "UIParent", "TOP", 0, -340);
	BhaldieBagBar:Show();
	BhaldieBagBarArt:Show();
	MainMenuBarBackpackButton:Show();
	CharacterBag0Slot:Show();
	CharacterBag1Slot:Show();
	CharacterBag2Slot:Show();
	CharacterBag3Slot:Show();

	BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_lock = false;
	BM_CONFIG[BM_PLAYERNAME_REALM].bagbar_enable = true;
end

function BM_Mini_Reset()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BhaldieMiniBar:ClearAllPoints();
	BhaldieMiniBar:SetPoint("TOP", "UIParent", "TOP", 0, -180);
	BhaldieMiniBar:Show();
	BhaldieMiniBarArt:Show();
	BM_MINI_ENABLE = true;
	CharacterMicroButton:Show();
	TalentMicroButton:Show();
	SpellbookMicroButton:Show();
	QuestLogMicroButton:Show();
	SocialsMicroButton:Show();
	WorldMapMicroButton:Show();
	MainMenuMicroButton:Show();
	HelpMicroButton:Show();
	
	BM_CONFIG[BM_PLAYERNAME_REALM].minibar_lock = false;
	BM_CONFIG[BM_PLAYERNAME_REALM].minibar_enable = true;
end

function BM_Cast_Reset()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BhaldieCastBar:ClearAllPoints();
	BhaldieCastBar:SetPoint("TOP", "UIParent", "TOP", 0, -260);
	BhaldieCastBar:Show();
	BhaldieCastBarArt:Show();
	BagStatusBarFrame:Show();
	BM_CONFIG[BM_PLAYERNAME_REALM].castbar_lock = false;
end

function BM_Pet_Reset()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BhaldiePetBar:ClearAllPoints();
	BhaldiePetBar:SetPoint("TOP", "UIParent", "TOP", 0, -100);
	BhaldiePetBar:Show();
	BhaldiePetBarArt:Show();
	PetActionButton1:Show();
	PetActionButton2:Show();
	PetActionButton3:Show();
	PetActionButton4:Show();
	PetActionButton5:Show();
	PetActionButton6:Show();
	PetActionButton7:Show();
	PetActionButton8:Show();
	PetActionButton9:Show();
	PetActionButton10:Show();

	BM_CONFIG[BM_PLAYERNAME_REALM].petbar_lock = false;
	BM_CONFIG[BM_PLAYERNAME_REALM].petbar_enable = true;
end

function BM_Bonus_Reset()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BhaldieShapeShift:ClearAllPoints();
	BhaldieShapeShift:SetPoint("TOP", "UIParent", "TOP", 0, -420);
	BhaldieShapeShift:Show();
	BhaldieShapeShiftArt:Show();

	BM_CONFIG[BM_PLAYERNAME_REALM].shapeshift_lock = false;
end

function BM_BagStatus_Reset()
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	BhaldieBagStatusBar:ClearAllPoints();
	BhaldieBagStatusBar:SetPoint("TOP", "UIParent", "TOP", 0, -500);
	BhaldieBagStatusBar:Show();
	BhaldieBagStatusBarArt:Show();

	BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_enable = true;
	BM_CONFIG[BM_PLAYERNAME_REALM].bagstatus_lock = false;
end

function BM_MoveBag_Reset()
	BhaldieMoveBag0:ClearAllPoints();
	BhaldieMoveBag0:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag1:ClearAllPoints();
	BhaldieMoveBag1:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag2:ClearAllPoints();
	BhaldieMoveBag2:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag3:ClearAllPoints();
	BhaldieMoveBag3:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag4:ClearAllPoints();
	BhaldieMoveBag4:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag5:ClearAllPoints();
	BhaldieMoveBag5:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag6:ClearAllPoints();
	BhaldieMoveBag6:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag7:ClearAllPoints();
	BhaldieMoveBag7:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag8:ClearAllPoints();
	BhaldieMoveBag8:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag9:ClearAllPoints();
	BhaldieMoveBag9:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	BhaldieMoveBag10:ClearAllPoints();
	BhaldieMoveBag10:SetPoint("TOP", "UIParent", "TOP", 0, -580);
	getglobal("BhaldieMoveBag-2"):ClearAllPoints();
	getglobal("BhaldieMoveBag-2"):SetPoint("TOP", "UIParent", "TOP", 0, -580);
end

function BM_Mail_Frame_Enable(msg)
	BM_PLAYERNAME_REALM = GetCVar("realmName") .. "|" .. UnitName("player");
	if (msg == true) then
		--Moves the mailframe to another location on the mini map.
		MiniMapMailFrame:ClearAllPoints();
		MiniMapMailFrame:SetPoint("BOTTOM", "Minimap", "LEFT", -8, -24);
		BM_CONFIG[BM_PLAYERNAME_REALM].mail_frame = true;
	else
		--Moves the mailframe to default location on the mini map.
		MiniMapMailFrame:ClearAllPoints();
		MiniMapMailFrame:SetPoint("TOPRIGHT", "Minimap", "TOPRIGHT", 21, -38);
		BM_CONFIG[BM_PLAYERNAME_REALM].mail_frame = false;
	end
end

function BM_Move_Bags_Enable(msg)
	BM_CONFIG[BM_PLAYERNAME_REALM].movebags_enable = msg;
	
	
	ContainerFrame1:ClearAllPoints();
	ContainerFrame2:ClearAllPoints();
	ContainerFrame3:ClearAllPoints();
	ContainerFrame4:ClearAllPoints();
	ContainerFrame5:ClearAllPoints();
	ContainerFrame6:ClearAllPoints();
	ContainerFrame7:ClearAllPoints();
	ContainerFrame8:ClearAllPoints();
	ContainerFrame9:ClearAllPoints();
	ContainerFrame10:ClearAllPoints();
	ContainerFrame11:ClearAllPoints();
	
end